CustomerChatroomMessageReactionController
Add a new ChatroomMessageReaction
POST/api/cp/chat/chatroom_message_reaction/{chatroomMessageIdentifier}
Path parameters
chatroomMessageIdentifierrequiredstring |
Request body application/json
dataChatroomMessageReactionShow fields (2)
idintegerPrimary key of the reaction. Internal ID.
emojistringEmoji of the reaction.
Responses
200Add a new ChatroomMessageReactionChatroomMessageReaction
Show fields (2)
idintegerPrimary key of the reaction. Internal ID.
emojistringEmoji of the reaction.
curl --request POST \
--url https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"id": 42,
"emoji": "string"
}
}
'const options = {
method: 'POST',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({data: {id: 42, emoji: 'string'}})
};
fetch('https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42"
payload = { "data": {
"id": 42,
"emoji": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42', [
'body' => '{"data":{"id":42,"emoji":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"id\":42,\"emoji\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"id\":42,\"emoji\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42")
.post(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42"
payload := strings.NewReader("{\"data\":{\"id\":42,\"emoji\":\"string\"}}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/customer_chatroom_message_reaction_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/chatroom_message_reaction.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await CustomerChatroomMessageReactionController.post(ChatroomMessageReaction.fromJson({
"id": 42,
"emoji": "string"
}), chatroomMessageIdentifier: '42');
if (result.success) {
print(result.data);
}{
"id": 42,
"emoji": "string"
}Updates an existing ChatroomMessageReaction entry.
PUT/api/cp/chat/chatroom_message_reaction/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataChatroomMessageReactionShow fields (2)
idintegerPrimary key of the reaction. Internal ID.
emojistringEmoji of the reaction.
Responses
200Update single ChatroomMessageReactionChatroomMessageReaction
Show fields (2)
idintegerPrimary key of the reaction. Internal ID.
emojistringEmoji of the reaction.
curl --request PUT \
--url https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"id": 42,
"emoji": "string"
}
}
'const options = {
method: 'PUT',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({data: {id: 42, emoji: 'string'}})
};
fetch('https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42"
payload = { "data": {
"id": 42,
"emoji": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42', [
'body' => '{"data":{"id":42,"emoji":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"id\":42,\"emoji\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"id\":42,\"emoji\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42")
.put(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42"
payload := strings.NewReader("{\"data\":{\"id\":42,\"emoji\":\"string\"}}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/customer_chatroom_message_reaction_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/chatroom_message_reaction.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await CustomerChatroomMessageReactionController.put(ChatroomMessageReaction.fromJson({
"id": 42,
"emoji": "string"
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"emoji": "string"
}Updates an existing ChatroomMessageReaction entry.
PATCH/api/cp/chat/chatroom_message_reaction/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataChatroomMessageReactionShow fields (2)
idintegerPrimary key of the reaction. Internal ID.
emojistringEmoji of the reaction.
Responses
200Update single ChatroomMessageReactionChatroomMessageReaction
Show fields (2)
idintegerPrimary key of the reaction. Internal ID.
emojistringEmoji of the reaction.
curl --request PATCH \
--url https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"id": 42,
"emoji": "string"
}
}
'const options = {
method: 'PATCH',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({data: {id: 42, emoji: 'string'}})
};
fetch('https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42"
payload = { "data": {
"id": 42,
"emoji": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PATCH', 'https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42', [
'body' => '{"data":{"id":42,"emoji":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Patch,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"id\":42,\"emoji\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"id\":42,\"emoji\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42")
.patch(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42"
payload := strings.NewReader("{\"data\":{\"id\":42,\"emoji\":\"string\"}}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'dart:convert';
import 'package:http/http.dart' as http;
final response = await http.patch(
Uri.parse('https://your-instance.iw-erp.de/api/cp/chat/chatroom_message_reaction/42'),
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: jsonEncode({
"data": {
"id": 42,
"emoji": "string"
}
}),
);
print(response.body);{
"id": 42,
"emoji": "string"
}